Skip to content
Proud to collaborate with Microsoft for Startups

docusign.cloud-storage-providers.post-cloud-storage ​

Configures the redirect URL information for one or more cloud storage providers for the specified user. The redirect URL is added to the authentication URL to complete the return route.

Configures the redirect URL information for one or more cloud storage providers for the specified user.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
storageproviderslistNo—An Array containing the storage providers associated with the user.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
storageproviderslistNo—An Array containing the storage providers associated with the user.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/users/{userId}/cloud_storage
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/users/{userId}/cloud_storage
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.cloud-storage-providers.post-cloud-storage",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "userid": "value"
  }
}